<?php

namespace Vn\Hedera;

require_once ('vn/hedera/web.php');

class Js
{
	static $isMobile = NULL;

	static function includeFile ($fileName)
	{
		echo '<script type="text/javascript" src="'.$fileName.'?'. Web::getVersion () .'"></script>'."\n\t\t";
	}

	static function includeLib ($libName)
	{
		$args = func_get_args ();

		$localeJs = 'locale/'. $_SESSION['lang'] .'/js/'. $libName .'.js';

		if (file_exists ($localeJs))
			self::includeFile ($localeJs);

		for ($i = 1; $i < count ($args); $i++)
			self::includeFile ('js/'.$libName.'/'.$args[$i].'.js');
	}

	static function includeCss ($fileName)
	{
		echo '<link rel="stylesheet" type="text/css" href="'.$fileName.'?'. Web::getVersion () .'"/>'."\n\t\t";
	}
	
	static function isMobile ()
	{
		if (self::$isMobile === NULL)
		{
			$re = '/(Android|webOS|iPhone|iPad|iPod|BlackBerry|Windows Phone)/i';
			self::$isMobile = preg_match ($re, $_SERVER['HTTP_USER_AGENT']);
		}

		return self::$isMobile;
	}
}

?>
